<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/bg_mask_20">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_content"
        android:layout_width="match_parent"
        android:layout_height="448dp"
        android:background="@drawable/bg_shape_ui_surface_bottom_radius_12">

        <com.gh.gamecenter.common.view.GhSearch
            android:id="@+id/search_view"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="16dp"
            android:layout_marginTop="8dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:search_hint="@string/search_category_tags" />

        <TextView
            android:id="@+id/tv_reset"
            style="@style/TextButton2"
            android:layout_width="80dp"
            android:layout_height="40dp"
            android:layout_marginStart="16dp"
            android:layout_marginBottom="16dp"
            android:background="@drawable/bg_common_button_light_fill_gray"
            android:gravity="center"
            android:textColor="@color/text_secondary"
            android:text="@string/reset"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <View
            android:id="@+id/v_submit"
            android:layout_width="0dp"
            android:layout_height="40dp"
            android:layout_marginStart="12dp"
            android:layout_marginEnd="16dp"
            android:layout_marginBottom="16dp"
            android:background="@drawable/bg_common_button_fill_blue"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/tv_reset" />

        <TextView
            android:id="@+id/tv_submit"
            style="@style/TextButton2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/servers_subscribed_game_unsubscribe_dialog_confirm"
            android:textColor="@color/text_aw_primary"
            app:layout_constraintBottom_toBottomOf="@id/v_submit"
            app:layout_constraintEnd_toStartOf="@id/tv_selected_number"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toStartOf="@id/v_submit"
            app:layout_constraintTop_toTopOf="@id/v_submit" />

        <TextView
            android:id="@+id/tv_selected_number"
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:layout_marginStart="4dp"
            android:background="@drawable/bg_search_category_number"
            android:gravity="center"
            android:textColor="@color/text_aw_primary"
            android:textSize="10sp"
            app:layout_constraintBottom_toBottomOf="@id/v_submit"
            app:layout_constraintEnd_toEndOf="@id/v_submit"
            app:layout_constraintStart_toEndOf="@id/tv_submit"
            app:layout_constraintTop_toTopOf="@id/v_submit"
            tools:text="5" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_selected"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginBottom="16dp"
            android:clipToPadding="false"
            android:paddingHorizontal="12dp"
            app:layout_constraintBottom_toTopOf="@id/tv_reset"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <View
            android:id="@+id/v_baseline"
            android:layout_width="0dp"
            android:layout_height="0.5dp"
            android:layout_marginBottom="12dp"
            android:background="@color/ui_divider"
            app:layout_constraintBottom_toTopOf="@id/rv_selected"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_category"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:paddingTop="16dp"
            app:layout_constraintBottom_toTopOf="@id/v_baseline"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/search_view" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_results"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginTop="16dp"
            android:visibility="gone"
            app:layout_constraintBottom_toTopOf="@id/v_baseline"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/search_view" />

        <include
            android:id="@+id/reuse_no_connection"
            layout="@layout/reuse_none_data"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginTop="16dp"
            android:visibility="gone"
            app:layout_constraintBottom_toTopOf="@id/v_baseline"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/search_view" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</FrameLayout>